/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NMLIGHT__
#define	__NMLIGHT__


		#include "core/light.h"
		#include "scene3d/mitem.h"


namespace GS {
	namespace S3D {

/*!
	@short	Managed light.
	@author Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	MLight : public MItem, public Core::Light
{
static	MItemType		GetMItemClassType() { return Type_Light; }

		bool			isActive() const;

virtual	Core::Item		*GetBaseItem() { return this; }
virtual	Core::Renderable *GetRenderable() { return 0; }

virtual	bool			FromMetaTag(NML::Tag &);
virtual	NML::Tag		*AsMetaTag();

		MLight();
};

	} // S3D
} // GS


#endif // __NMLIGHT__
